package servlet.examples.counter;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class SimpleCounter extends HttpServlet {

  
	private static final long serialVersionUID = 1L;
//vigyázat: osztályszintű változó...
// itt most kivételesen éppen a servlet-hez érkező hívásokat számoljuk, de máskülönben kerüljük a használatát	
	int count = 0;

  public void doGet(HttpServletRequest req, HttpServletResponse res)
                               throws ServletException, IOException {
    int local_count;
	res.setContentType("text/plain");
	res.setCharacterEncoding("UTF-8");
    PrintWriter out = res.getWriter();
    synchronized(this){
      local_count=count++;
    }  
    out.println("Betöltődés óta ezt a servlet-et " +
                local_count + " alkalommal hívták meg.");
  }
}
