package servlet.examples.forward;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class SearchView extends HttpServlet {


	private static final long serialVersionUID = 1L;

public void doGet(HttpServletRequest req, HttpServletResponse res)
                               throws ServletException, IOException {
    res.setContentType("text/plain");
    res.setCharacterEncoding("UTF-8");
    PrintWriter out = res.getWriter();

    // a kereses eredmenyet kinyerjuk a keres objektum  megfelelo attributumabol
    String[] results = (String[]) req.getAttribute("results");

    if (results == null) {
      out.println("Semmi eredmény.");
      out.println("Lehet, hogy csak véletlenül hívtad meg  közvelenül ezt a servlet-et?");
    }
    else {
      out.println("Eredmények:");
      for (int i = 0; i < results.length; i++) {
        out.println(results[i]);
      }
    }

    out.println();
    out.println("Kérés URI: " + req.getRequestURI());
    out.println("Context Path: " + req.getContextPath());
    out.println("Servlet Path: " + req.getServletPath());
    //out.println("Path Info: " + req.getPathInfo());
    out.println("Kérés paraméterek (Query String): " + req.getQueryString());
  }
}
