package servlet.examples.include;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


public class MainPage extends HttpServlet {


	private static final long serialVersionUID = 1L;

public void doGet(HttpServletRequest req, HttpServletResponse res)
                               throws ServletException, IOException {
    res.setContentType("text/html");
    res.setCharacterEncoding("UTF-8");
    PrintWriter out = res.getWriter();

    out.println("<html><head><title>Könyvek</title></head>");
    out.println("<body>");

    // Megmutatja   egy online katalogusban szereplo konyveket
    RequestDispatcher dispatcher =
      req.getRequestDispatcher("/BookItem.do");

    out.println("Itt egy könyv:");
    req.setAttribute("item", Book.getBook("156592391X"));
    dispatcher.include(req, res);

    // Hasznalat utan torli az  "item" attributumot 
    req.removeAttribute("item");

    out.println("Ez egy másik:");
    req.setAttribute("item", Book.getBook("0395282659"));
    dispatcher.include(req, res);

    out.println("20%-os arengedmennyel!");

    out.println("</body></html>");
  }
}
