package servlet.examples.session;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

public class LoginServlet extends HttpServlet {

  	private static final long serialVersionUID = -8104821686068599952L;

public void doPost(HttpServletRequest req, HttpServletResponse res)
                               throws ServletException, IOException {
    
//  beolvassa az szesszio objektumot, letrehozza, ha szukseges
    HttpSession session = req.getSession();
    String username = req.getParameter("username");
    String password = req.getParameter("password");
    
    if (username!=null && !"".equals(username))
    {
    	session.setAttribute("username", username);
    }
    
    //igazsag szerint nem szokas a jelszot a szesszioba lementeni...
    //ehelyett itt tortenhetne pl. a felhasznalo, illetve jelszo ellenorzese
    
    if (password!=null && !"".equals(password))
      {
    	session.setAttribute("password", password);
    }
    
    
    RequestDispatcher rd;
    if (session.getAttribute("username")!=null)
    {
        rd = req.getRequestDispatcher("/ShoppingCart.do");
        rd.forward(req, res);
    }
    res.setContentType("text/html");
    PrintWriter out = res.getWriter();
    out.println("<html><head><title>Login</title></head>");
    out.println("<body><h1>Login Demo</h1>");

    
    out.println("Írd be a felhasználóneved és a jelszót:<br />");    

   
    out.println("<form action=\"" +
                res.encodeURL(req.getContextPath() + "/LoginServlet.do") + "\" method=\"POST\" >");    
    out.println("Név:&nbsp;&nbsp;&nbsp;&nbsp;<input type=\"text\" name=\"username\" \\>");
    out.println("<br />");	
    out.println("Jelszó:&nbsp;<input type=\"password\" name=\"password\" \\>");
    out.println("<br />");
    out.println("<input type=\"submit\" value=\" Login \" \\>");
    out.println("</form>");
    out.println("</body></html>");
  }

public void doGet(HttpServletRequest req, HttpServletResponse res)
throws ServletException, IOException {
	doPost(req, res);
}
}
