package servlet.examples.session;
import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

public class SessionTimer extends HttpServlet {

  /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

public void doGet(HttpServletRequest req, HttpServletResponse res)
                               throws ServletException, IOException {
    res.setContentType("text/html");
    PrintWriter out = res.getWriter();

    // Lekeri a szesszio objektumot, letrehoz egy ujat, ha szukseges 
    HttpSession session = req.getSession();

    out.println("<HTML><HEAD><TITLE>SessionTimer</TITLE></HEAD>");
    out.println("<BODY><H1>Session Timer</H1>");

    // kiirja az elozo lejarasi idot
    out.println("Az elozo lejarasi ido " +
                session.getMaxInactiveInterval());
    out.println(" mp<BR>");

    // Beallitja az uj lejarasi idot
    session.setMaxInactiveInterval(2*60*60);  // ket ora

    // kiirja az uj lejarasi idot
    out.println("Az uj lejarasi ido " +
                session.getMaxInactiveInterval());

    out.println(" mp</BODY></HTML>");
  }
}
